Bug 1734179 - Cannot be installed due to unsatisfied 'bitfrost' dependency
Summary: Cannot be installed due to unsatisfied 'bitfrost' dependency
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut-modules-olpc
Version: 31
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Daniel Drake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker openqa
Depends On: 1674828
Blocks: BetaBlocker, F31BetaBlocker 1737929
TreeView+ depends on / blocked
 
Reported: 2019-07-29 21:27 UTC by Adam Williamson
Modified: 2019-08-19 12:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Adam Williamson 2019-07-29 21:27:54 UTC
dracut-modules-olpc depends on bitfrost, but that was just retired:

https://src.fedoraproject.org/rpms/bitfrost/c/5e291599233eb6885bcb7b3c4c5efb37efd235b0?branch=master

so now dracut-modules-olpc is not installable.

This is an automatic F31 Beta release blocker, as dracut-modules-olpc is on the Server DVD, so this breaks "Unresolved dependencies on a release-blocking DVD-style (offline installer) image (failures of QA:Testcase_Mediakit_Repoclosure)" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

Comment 1 Peter Robinson 2019-07-29 21:31:30 UTC
Why is dracut-modules-olpc on the server DVD?

Comment 2 Peter Robinson 2019-07-29 21:39:50 UTC
It's not listed in comps and "dnf repoquery --whatrequires dracut-modules-olpc" returns nothing. Both as I would have expected. I don't see anything of note in kickstarts. Is anaconda doing something like dracut* as part of it's includes?

Comment 3 Adam Williamson 2019-07-29 21:52:41 UTC
I am honestly not at all sure. This isn't the install environment, it's the packages included on the Server DVD for installation. I can't find a comps entry or dependency that would cause this either, but it definitely *is* there, you can see it in the Server tree too:

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20190729.n.0/compose/Server/x86_64/os/Packages/d/dracut-modules-olpc-0.7.6-13.fc29.x86_64.rpm

Comment 4 Adam Williamson 2019-07-29 21:54:01 UTC
Oh, think I found it...

https://pagure.io/pungi-fedora/blob/master/f/fedora.conf#_130

Comment 5 Adam Williamson 2019-07-29 21:54:51 UTC
pungi docs say:

**additional_packages**
    (*list*) -- additional packages to be included in a variant and
    architecture; format: ``[(variant_uid_regex, {arch|*: [package_globs]})]``

    The packages specified here are matched against RPM names, not any other
    provides in the package not the name of source package. Shell globbing is
    used, so wildcards are possible. The package can be specified as name only
    or ``name.arch``.

Comment 6 Peter Robinson 2019-07-29 22:31:17 UTC
(In reply to Adam Williamson from comment #4)
> Oh, think I found it...
> 
> https://pagure.io/pungi-fedora/blob/master/f/fedora.conf#_130

Yea, that's wrong, it would pull in all sorts of things:

dracut.x86_64                          049-26.git20181204.fc30          @fedora
dracut-config-rescue.x86_64            049-26.git20181204.fc30          @fedora
dracut-network.x86_64                  049-26.git20181204.fc30          @fedora
dracut-squash.x86_64                   049-26.git20181204.fc30          @fedora
dracut-caps.x86_64                     049-26.git20181204.fc30          fedora 
dracut-config-generic.x86_64           049-26.git20181204.fc30          fedora 
dracut-kiwi-lib.noarch                 9.18.9-1.fc30                    updates
dracut-kiwi-live.noarch                9.18.9-1.fc30                    updates
dracut-kiwi-oem-dump.noarch            9.18.9-1.fc30                    updates
dracut-kiwi-oem-repart.noarch          9.18.9-1.fc30                    updates
dracut-kiwi-overlay.noarch             9.18.9-1.fc30                    updates
dracut-live.x86_64                     049-26.git20181204.fc30          fedora 
dracut-modules-olpc.x86_64             0.7.6-13.fc29                    fedora 
dracut-tools.x86_64                    049-26.git20181204.fc30          fedora 

EG we probably don't want kiwi either

Comment 7 Adam Williamson 2019-07-29 23:17:35 UTC
yeah, all those things do seem to be in the Server tree. The wildcard has been in the tree since the beginning, it seems, though it was originally incorrect and fixed by lsedlar in 2016.

Comment 8 Ben Cotton 2019-08-13 18:52:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.